Subject: Re: [PATCH] use child_process_init() to initialize struct child_process variables

From: Jeff King <[email-masked]>
Date: Wed, 5 Nov 2014 14:35:57 -0500

On Wed, Nov 05, 2014 at 01:35:21PM -0000, Philip Oakley wrote:

> >>  2. Including two lines, like:
> [...]
> I believe that the 'two HEADs' mechanism would also fall foul of the
> 'duplicate refs' warning (untested).

It didn't in my very brief testing of what I posted above, but maybe
there is some other case that triggers it that I didn't exercise.

I grepped through the code and the only "duplicate ref" warning I see
comes from the refs.c code, which comes from commit_packed_refs(). If
the duplicate line is HEAD, I think it shouldn't trigger that, as it is
not a regular ref. That would explain why I didn't see it in my testing.

-Peff